


include  $(SDK_MIDDLEWARE_DIR)/ChannelManager/Audio/Makefile.mk
include  $(SDK_MIDDLEWARE_DIR)/ChannelManager/Video/Makefile.mk

VPATH += $(SDK_MIDDLEWARE_DIR)/ChannelManager/src
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/HDMI/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/Scaler/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayCtrl/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayCtrl/cal/$(CONFIG_CHIP)/inc

OBJ_RUNNTIME_CHANNEL_MANAGER_C = $(wildcard $(SDK_MIDDLEWARE_DIR)/ChannelManager/src/*.c)
OBJ_RUNNTIME_CHANNEL_MANAGER_NODIR = $(notdir $(OBJ_RUNNTIME_CHANNEL_MANAGER_C))
OBJ_RUNNTIME_CHANNEL_MANAGER_C_O = $(OBJ_RUNNTIME_CHANNEL_MANAGER_NODIR:%.c=%.o)
MIDDLEWARE_TARGET_O += $(OBJ_RUNNTIME_CHANNEL_MANAGER_C_O)


